import request from '@/utils/request'

// 查询话术信息列表
export function listScript(query) {
    return request({
        url: '/manage/script/list',
        method: 'get',
        params: query
    })
}
// 查询科室病种信息列表
export function departmentDisease(query) {
    return request({
        url: '/system/departmentDisease/listV1',
        method: 'get',
        params: query
    })
}

// 科室分页列表
export function department(query) {
    return request({
        url: '/system/department/list',
        method: 'get',
        params: query
    })
}
// 病种分页

export function listDisease(query) {
    return request({
        url: '/system/departmentDisease/list',
        method: 'get',
        params: query
    })
}

// 查询话术信息详细
export function getScript(id) {
    return request({
        url: '/manage/script/' + id,
        method: 'get'
    })
}


// 新增话术信息
export function addScript(data) {
    return request({
        url: '/manage/script/add',
        method: 'post',
        data: data
    })
}

// 修改话术信息
export function updateScript(data) {
    return request({
        url: '/manage/script/edit',
        method: 'put',
        data: data
    })
}

// 删除话术信息
export function delScript(id) {
    return request({
        url: '/manage/script/remove/' + id,
        method: 'delete'
    })
}
// 左侧科室
export function listScriptNum(query) {
    return request({
        url: '/system/department/listScriptNum',
        method: 'get',
        params: query
    })
}

